package org.springblade.estate.feign;

import com.baomidou.mybatisplus.plugins.Page;
import org.springblade.core.tool.api.R;
import org.springblade.estate.dto.PratiqueDTO;
import org.springblade.estate.dto.RepairDTO;
import org.springblade.estate.entity.Pratique;
import org.springblade.estate.entity.Repair;
import org.springblade.estate.vo.PratiqueVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class PratiqueClientFallback implements IPratiqueClient {
            /**
         * 详情
         */
        @Override
        public PratiqueVO detail(Pratique pratique) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<PratiqueVO> list(Pratique pratique) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public Pratique save( Pratique pratique) {
            return new Pratique();
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Pratique pratique) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( Pratique pratique) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public R<Page<Pratique>> page(PratiqueDTO pratiqueDTO) {
		return null;
	}

}
